# Uses of Interface
org.eclipse.emf.compare.rcp.ui.mergeviewer.IMergeViewer

Packages that use IMergeViewer
Package
Description
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl

## Uses of IMergeViewer in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer

Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer that return IMergeViewer
Modifier and Type
Method
Description
`protected abstract IMergeViewer`
EMFCompareContentMergeViewer.`createMergeViewer(org.eclipse.swt.widgets.Composite parent, IMergeViewer.MergeViewerSide side)`
Creates the merge viewer for the given parent and the given side.
`protected IMergeViewer`
EMFCompareContentMergeViewer.`getAncestorMergeViewer()`
`protected IMergeViewer`
EMFCompareContentMergeViewer.`getLeftMergeViewer()`
`protected IMergeViewer`
EMFCompareContentMergeViewer.`getRightMergeViewer()`
Methods in org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer with parameters of type IMergeViewer
Modifier and Type
Method
Description
`protected Diff`
EMFCompareContentMergeViewer.`getDiffFrom(IMergeViewer viewer)`
Checks the element selected in the given viewer in order to determine whether it can be adapted into a Diff.

## Uses of IMergeViewer in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl

Classes in org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl that implement IMergeViewer
Modifier and Type
Class
Description
`class`
`AbstractMergeViewer`
An abstract implementation of `IMergeViewer`.
`class`
`AbstractStructuredMergeViewer`
A specific `AbstractMergeViewer` for the EMF Compare Editor.
`class`
`AbstractTableOrTreeMergeViewer`
An abstract specialization of `AbstractStructuredMergeViewer` for Tables or Trees.
`class`
`TableMergeViewer`
A concrete implementation of `AbstractTableOrTreeMergeViewer` for TableViewer.
`class`
`TreeMergeViewer`
A concrete implementation of `AbstractTableOrTreeMergeViewer` for TreeViewer.